API Reference
Variables
Get and set cloud variables for the current app session.
Endpoints
Get Variable
POST /api/v2/variablesSet Variable
POST /api/v2/variables/setGet Variable
POST /api/v2/variables
{
"session_id": "dc1ce...a3a75",
"var_key": "hehe"
}
{
"success": true,
"message": "Variable retrieved successfully",
"variable": {
"var_key": "hehe",
"var_value": "me",
"updated_at": "2026-04-13T12:00:00.000Z"
}
}
Get errors
MISSING_FIELDS, INVALID_SESSION, SESSION_EXPIRED, VARIABLE_NOT_FOUND, INTERNAL
Set Variable
POST /api/v2/variables/set
{
"session_id": "dc1ce...a3a75",
"var_key": "hehe",
"var_value": "me"
}
{
"success": true,
"message": "Variable updated successfully",
"variable": {
"var_key": "hehe",
"var_value": "me"
}
}
Set errors
MISSING_FIELDS, INVALID_SESSION, SESSION_EXPIRED, INTERNAL